#!/usr/local/bin/perl

use blib '../blib';
use Gtk;
use Gtk::ImageViewer;

init Gtk;
init Gtk::Gdk::Rgb;
init Gtk::Gdk::Pixbuf;

sub view_changed {
  my $wdg = shift;
  print "transf = ", join(" ", $wdg->get_transform()), "\n";
}

$window = Gtk::Widget->new("GtkWindow",
			   -type    => "-toplevel",
			   -title   =>	"hello world",
			   -delete_event => sub { print "Ouch!\n" }
			  );

$box = Gtk::Widget->new("GtkHBox",
			-parent  => $window,
			-visible => 1,
		       );

$file = shift || '../../Gtk/samples/xpm/marble.xpm';
$pb = new_from_file Gtk::Gdk::Pixbuf($file);

$image = Gtk::ImageViewer->new($pb);
$box->pack_start($image, 0, 1, 0);
$image->show();
$image->signal_connect( 'view_changed', \&view_changed );


$window->show();

main Gtk;
